<div class="container" style="margin-top: 10px">
  <div class="row">
    <div class="col-12">
      <button
        type="button"
        (click)="addButtonClickFunction()"
        data-bs-toggle="modal"
        data-bs-target="#exampleModal"
        class="btn btn-primary mb-6"
      >
        <i class="fas fa-plus"></i>Add Emergency Type
      </button>
    </div>
   <table *ngIf="emergencyType" datatable [dtOptions]="dtOptions"  class="table table-hover table-striped table-bordered" cellspacing="0" >
      <thead>
        <tr class="bg-primary text-white">
          <th class="text-center">Type Name</th>
          <th class="text-center">Action</th>
          <th>Status</th>
        </tr>
      </thead>

      <tbody class="bg-white text-center"  >
        <tr *ngFor="let row of emergencyType" >
        <td>{{ row.emergencyTypeName }}</td>

        <td>
          <div class="row">
            <div class="col">
          <button
            (click)="updateEmergencyType(row)"
            class="btn btn-outline-info pl-3 pr-3 mx-2"
            data-bs-toggle="modal"
            data-bs-target="#exampleModal"
          >
            <i class="fas fa-pen icon-blue"></i>
          </button>
          <button
            (click)="deleteEmergencytype(row.emergencyTypeId)"
            class="btn btn-outline-danger pl-3"
          >
            <i class="fas fa-trash icon-red"></i>
          </button></div>
          </div>
        </td>
     
       <td>
        <div>
          <div class="form-check form-switch">
          <input class="form-check-input" type="checkbox" (change)="changeActive(row.emergencyTypeId,$event)" role="switch" [checked]="row.activeStatus" id="flexSwitchCheckDefault">
          </div>                    
        </div>  
    </td>

      </tr>
    </tbody>
    </table>

    <div
      class="modal fade"
      id="exampleModal"
      tabindex="-1"
      aria-labelledby="exampleModalLabel"
      aria-hidden="true"
      >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h2
              class="modal-title text-primary"
              *ngIf="showAddTitle"
              id="exampleModalLabel"
            >
              Add Emergency Type
            </h2>
            <h2
              class="modal-title text-primary"
              *ngIf="showUpdateTitle"
              id="exampleModalLabel"
            >
              Update Emergency Type
            </h2>
            <button
              type="button"
              class="btn-close"
              data-bs-dismiss="modal"
              aria-label="Close"
            ></button>
          </div>

          <div class="modal-body">
            <form [formGroup]="formValue">
              <div class="form-group">
                <label for="emergencyTypeName">Name</label>
                <input id="emergencyTypeName" type="text"
                  formControlName="emergencyTypeName" class="form-control"
                  placeholder="Enter type Name.." required />
                <span class="text-danger" *ngIf="formValue.controls['emergencyTypeName'].dirty && formValue.hasError('required','emergencyTypeName')">Emergency Type Name Required </span>
                <br />
              </div>
              <button
                type="button"
                id="cancel"
                class="btn btn-secondary"
                data-bs-dismiss="modal"
              >
                Cancel
              </button>
              <button
                type="button"
                [disabled]="!formValue.valid"
                *ngIf="showAdd"
                (click)="postEmergencytypeDetails()"
                class="btn btn-primary mx-2"
              >
                Save
              </button>
              <button
                type="button"
                [disabled]="!formValue.valid"
                *ngIf="showUpdate"
                (click)="updateEmergencytypeDetails()"
                class="btn btn-primary mx-2"
                data-bs-dismiss="modal"
              >
                Update
              </button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
